cURL
curl --request GET \
--url https://api.example.com/triggers/{app_id}import requests
url = "https://api.example.com/triggers/{app_id}"
response = requests.get(url)
print(response.text)const options = {method: 'GET'};
fetch('https://api.example.com/triggers/{app_id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
[
{
"id": "<string>",
"name": "<string>",
"custom_address_enabled": true,
"call_data": {
"near": {
"contract_id": "<string>",
"method_name": "<string>",
"method_type": "change",
"attached_deposit_amount": "<string>",
"gas_amount": "<string>",
"data": {},
"data_input": {},
"template": "<string>"
},
"evm": {
"contract_id": "<string>",
"method_name": "<string>",
"method_type": "change",
"abi": "<string>",
"gas_limit": "<string>",
"data": [
{}
],
"data_input": {},
"template": "<string>"
},
"wax": {
"contract_id": "<string>",
"method_name": "<string>",
"abi": "<string>",
"gas_limit": "<string>",
"data": [
{}
],
"data_input": {},
"template": "<string>"
},
"solana": {
"contract_id": "<string>",
"method_name": "<string>",
"method_type": "change",
"abi": "<string>",
"compute_units": "<string>",
"data": [
{}
],
"data_input": {},
"template": "<string>"
}
},
"app": {
"id": "<string>",
"name": "<string>",
"kyc_return_url": "<string>",
"use_explorer": true,
"permissions": {
"can_view": true,
"can_edit": true,
"can_delete": true,
"can_edit_members": true
},
"app_fee": 123,
"user": {
"id": "<string>",
"username": "<string>",
"first_name": "<string>",
"last_name": "<string>"
},
"is_member": true,
"created_at": "2023-11-07T05:31:56Z",
"updated_at": "2023-11-07T05:31:56Z"
},
"wallet": {
"id": "<string>",
"name": "<string>",
"managed": true,
"wallet_data": {
"near": {
"account_id": "<string>",
"phrase_or_key": "<string>",
"test_network": true
},
"evm": {
"account_id": "<string>",
"private_key": "<string>",
"test_network": true
},
"wax": {
"account_id": "<string>",
"permission": "<string>",
"public_key": "<string>",
"private_key": "<string>",
"test_network": true
},
"solana": {
"account_id": "<string>",
"private_key": "<string>",
"test_network": true
}
},
"app": {
"id": "<string>",
"name": "<string>",
"kyc_return_url": "<string>",
"use_explorer": true,
"permissions": {
"can_view": true,
"can_edit": true,
"can_delete": true,
"can_edit_members": true
},
"app_fee": 123,
"user": {
"id": "<string>",
"username": "<string>",
"first_name": "<string>",
"last_name": "<string>"
},
"is_member": true,
"created_at": "2023-11-07T05:31:56Z",
"updated_at": "2023-11-07T05:31:56Z"
},
"created_at": "2023-11-07T05:31:56Z",
"updated_at": "2023-11-07T05:31:56Z",
"magic_network": "<string>"
},
"created_at": "2023-11-07T05:31:56Z",
"updated_at": "2023-11-07T05:31:56Z",
"custom_address": "<string>",
"params_data": {
"number": {
"name": "<string>",
"desc": "<string>",
"optional": true,
"nullable": true
},
"string": {
"is_ethereum_address": true,
"is_near_address": true,
"name": "<string>",
"desc": "<string>",
"optional": true,
"nullable": true
},
"boolean": {
"name": "<string>",
"desc": "<string>",
"optional": true,
"nullable": true
},
"object": {
"value": "<array>",
"name": "<string>",
"desc": "<string>",
"optional": true,
"nullable": true
},
"array": {
"value": "<unknown>",
"name": "<string>",
"desc": "<string>",
"optional": true,
"nullable": true
}
},
"params_data_input": {
"number": {
"name": "<string>",
"desc": "<string>",
"optional": true,
"nullable": true
},
"string": {
"is_ethereum_address": true,
"is_near_address": true,
"name": "<string>",
"desc": "<string>",
"optional": true,
"nullable": true
},
"boolean": {
"name": "<string>",
"desc": "<string>",
"optional": true,
"nullable": true
},
"object": {
"value": "<array>",
"name": "<string>",
"desc": "<string>",
"optional": true,
"nullable": true
},
"array": {
"value": "<unknown>",
"name": "<string>",
"desc": "<string>",
"optional": true,
"nullable": true
}
},
"params_data_example": "<string>"
}
]Triggers
Get Triggers
GET
/
triggers
/
{app_id}
cURL
Path Parameters
Query Parameters
Required range:
x >= 1Required range:
x >= 1Response
200 - application/json
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
⌘I

